---
name: Feature request
about: Suggest an idea for this project
title: ''
labels: ''
assignees: ''
---

<!--
If you don't follow the issue template, your issue may be closed.
Please note this is an issue tracker, not a support forum.
For general questions, please use StackOverflow or Slack.
-->

## Feature Description

### Is your feature request related to a problem? Please describe.

A clear and concise description of what the problem is. Example: I'm always frustrated when [...]

### Describe the solution you'd like

A clear and concise description of what you want to happen. How can the requested feature be used to approach the problem it's supposed to solve?

```js
// If applicable, add a code snippet showing how your feature would be used in a real use-case
```

### Why should this be in Sequelize

Short explanation why this should be part of Sequelize rather than a separate package.

### Describe alternatives/workarounds you've considered

A clear and concise description of any alternative solutions or features you've considered. If any workaround exists to the best of your knowledge, include it here.

### Additional context

Add any other context or screenshots about the feature request here.

## Feature Request Checklist

<!-- Please answer the questions below. If you don't, your issue may be closed. -->

### Is this feature dialect-specific?

- [ ] No. This issue is relevant to Sequelize as a whole.
- [ ] Yes. This issue only applies to the following dialect(s): XXX, YYY, ZZZ

### Would you be willing to implement this feature by submitting a Pull Request?

<!-- Remember that first contributors are welcome! -->

- [ ] Yes, I have the time and I know how to start.
- [ ] Yes, I have the time but I don't know how to start, I would need guidance.
- [ ] No, I don't have the time, although I believe I could do it if I had the time...
- [ ] No, I don't have the time and I wouldn't even know how to start.
